REM       *  Copyright(C)2004 by Daniel B. Sedory for use with  *
REM       *  Svend Olaf Mikkelsen's excellent FINDPART utility  *
REM       *  ( http://www.partitionsupport.com/utilities.htm )  *
REM
@ECHO OFF
cls
echo.
echo.
if "%1"=="" goto USAGE
if exist findpart.exe goto READY
echo    GET100.BAT cannot find the file 'FINDPART.EXE' in this
echo   folder!  You must first place Svend Mikkelsen's program
echo   FINDPART.EXE in this folder for GET100.BAT to work! Get
echo   it at:  http://www.partitionsupport.com/utilities.htm
echo.
goto DONE

:READY
echo     GET100.BAT -- Copyright(C)2004 by Daniel B. Sedory
echo   (many thanks to Svend Olaf Mikkelsen for FINDPART.EXE)
echo.
echo    This program will run FINDPART GETSECT on a selected
echo   Hard Drive in order to copy its first 100 sectors to
echo   the file:  [drive number]MBR100S.BIN (in this folder).
echo.
pause
cls
if exist %1MBR100S.BIN goto NOOVER
echo.
findpart getsect %1 0 0 1 100 %1mbr100s.bin
if errorlevel 0 goto MBR
echo.
echo    There was an error accessing drive %1
echo    with the FINDPART GETSECT command!
echo.
goto DONE

:MBR
echo.
echo     Drive %1's first 100 sectors were accessed OK;
echo.

if exist %1mbr100s.bin goto FILEOK

echo     For some odd reason, the file %1MBR100S.BIN
echo     could not be created in this folder!
echo.
goto DONE

:USAGE
echo     You must enter a drive number to use this program.
echo.
echo     Usage:  GET100 [drive number]
echo.
echo     where a drive number of 1 = the first drive.
goto DONE

:NOOVER
echo.
echo     The file %1MBR100S.BIN already exists in this folder.
echo   Please rename or erase the file; I won't overwrite it.
echo.
goto DONE

:FILEOK
echo     File %1MBR100S.BIN was created OK in this folder.
echo.

:DONE
echo.
pause
echo.

:end
